### Method

# Gtk.MediaFile.set_filename

#### Declaration [src]

    void
    gtk_media_file_set_filename (
      GtkMediaFile* self,
      const char* filename
    )

#### Description [src]

Sets the `GtkMediaFile to play the given file.

This is a utility function that converts the given `filename` to a `GFile` and calls `gtk_media_file_set_file()`.

#### Parameters

`filename` | `const char*`
| name of file to play
| Can be `NULL`
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string